package sk.tuke.magsa.tools.metamodel.ui;

import java.util.Arrays;
import sk.tuke.magsa.tools.metamodel.Entity;
import sk.tuke.magsa.tools.metamodel.Named;


public abstract class Dialog implements Named {
    private String name;

    private String entityName;

    private Entity entity;

    private String label;

    private Component[] components;

    @Override
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEntityName() {
        return entityName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }


    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Entity getEntity() {
        return entity;
    }

    public void setEntity(Entity entity) {
        this.entity = entity;
    }

    public Component[] getComponents() {
        return components;
    }

    public void setComponents(Component[] components) {
        this.components = components;
    }

    @Override
    public String toString() {
        return components != null ? Arrays.toString(components) : "";
    }
}
